<?php
// THEME OPTIONS *************************
$themename = "Checkmate";
$shortname = "cm";
$theme_current_version = "2.0.1";
$theme_url = "http://curtishenson.com/checkmate-20-a-free-premium-wordpress-theme/";

//Logo Auto Detect
$logo_path = TEMPLATEPATH . '/images/logo/';
$logos = array();	

if ( is_dir($logo_path) ) {
	if ($logo_dir = opendir($logo_path) ) { 
		while ( ($logo_file = readdir($logo_dir)) !== false ) {
			if(stristr($logo_file, ".png") !== false) {
				$logos[] = $logo_file;
			}
		}	
	}
}

$logos_tmp = asort($logos);
$logos_tmp = array_unshift($logos, "Выберите лого:");


// Background Image Detect
$bg_path = TEMPLATEPATH . '/images/bg_images/';
$bgs = array();	

if ( is_dir($bg_path) ) {
	if ($bg_dir = opendir($bg_path) ) { 
		while ( ($bg_file = readdir($bg_dir)) !== false ) {
			$bgs[] = $bg_file;
		}	
	}
}

$bgs_tmp = asort($bgs);
$bgs_tmp = array_unshift($bgs, "Выберите фон:");


// Stylesheet Auto Detect
$alt_stylesheet_path = TEMPLATEPATH . '/styles/';
$alt_stylesheets = array();	

if ( is_dir($alt_stylesheet_path) ) {
	if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) { 
		while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
			if(stristr($alt_stylesheet_file, ".css") !== false) {
				$alt_stylesheets[] = $alt_stylesheet_file;
			}
		}	
	}
}	

$alt_stylesheets_tmp = asort($alt_stylesheets);
$alt_stylesheets_tmp = array_unshift($alt_stylesheets, "Выберите стиль:");

$options = array (
	
	array(	"name" => "Настройки стиля",
			"type" => "subhead"),
			
	array(  "name" => "Структура",
	        "id" => $shortname."_layout",
			"desc" => "Выберите между двумя колонками, или тремя колонками с основным содержимым по центру.",
	        "std" => "2 Column",
	        "type" => "select",
			"options" => array("2 Column", "3 Column")),
			
	//COLOR THEME
			
	array(	"name" => "Альтернативные стили",
			"desc" => "Загрузите дополнительные стили в папку <code>styles/</code> вашей темы, чтобы они были автоматически обнаружены.",
		    "id" => $shortname."_alt_stylesheet",
		    "std" => "Выберите стиль:",
		    "type" => "select",
		    "options" => $alt_stylesheets),
		
	array(	"name" => "Пользовательский логотип",
			"desc" => "Отметьте галочкой, если хотите использовать лого из списка ниже.",
			"id" => $shortname."_use_custom_logo",
			"std" => "false",
			"type" => "checkbox"),
		
	array(	"name" => "Лого",
			"desc" => "Загрузите PNG-файлы в папку <code>images/logo/</code> вашей темы, чтобы они были автоматически обнаружены.",
		    "id" => $shortname."_logo",
		    "std" => "Выберите лого:",
		    "type" => "select",
		    "options" => $logos),
		
 	array(	"name" => "Фон заголовка",
 			"desc" => "Загрузите изображения в папку <code>images/bg_images/</code> вашей темы, чтобы они были автоматически обнаружены.",
 		    "id" => $shortname."_bg_url",
 		    "std" => "Выберите фон:",
 		    "type" => "select",
 		    "options" => $bgs),

	array(	"name" => "Расположение фона",
			"desc" => "Выберите центрирование или повтор для фона.",
		    "id" => $shortname."_bg_position",
		    "std" => "Repeated:",
		    "type" => "select",
		    "options" => array("Centered", "Repeated") ),
		
	array(	"name" => "Использовать классический вид",
			"desc" => "Отметьте галочкой, если хотите использовать дизайн с закругленными уголками для рекомендуемых статей Checkmate 1.0.",
			"id" => $shortname."_use_classic",
			"std" => "false",
			"type" => "checkbox"),

	//FEATURE STORY			
    array(   "name" => "Показывать рекомендуемую статью",
            "id" => $shortname."_feature",
            "std" => "Yes",
            "type" => "select",
			"options" => array("Yes", "No")),
			
	array(	"name" => "ID рубрики рекомендуемых статей",
			"desc" => "Можно использовать несколько рубрик. Используйте запятые для разделения ID рубрик. Например, 2,7,12",
			"id" => $shortname."_featureId",
			"std" => 1,
			"type" => "text"),
			
	//MENU				
	array ( "name" => "Страницы для показа в меню",
			"desc" => "По-умолчанию отображаются все страницы. Используйте разделенный запятыми список ID страниц. Например, 1,2,5,6",
			"id" => $shortname."_menu_pages",
			"std" => "",
			"type" => "text"),
	//FOOTER WIDGETS		
	array ( "name" => "Виджетизированный подвал",
			"id" => $shortname."_footer_widgets",
			"std" => "",
			"type" => "select",
			"options" => array("Enabled", "Disabled")),
			
  	array(	"name" => "Id рубрик и страниц",
  			"type" => "cats_ids"),
			
	//FEEDBURNER	
	array(	"name" => "Настройки Feedburner",
			"type" => "subhead"),
					
	array ( "name" => "Адрес ленты Feedburner",
			"id" => $shortname."_feedburner_address",
			"std" => "",
			"type" => "text",
			"style" => "width: 500px",
			"row_style" => "background-color: #ffd7ad;" ),
	array ( "name" => "Адрес ленты комментариев Feedburner",
			"id" => $shortname."_feedburner_comments",
			"std" => "",
			"type" => "text",
			"style" => "width: 500px",
			"row_style" => "background-color: #ffd7ad;"),
	array ( "name" => "ID Feedburner"		,
			"desc" => "Ваш ID в Feedburner для подписки по e-mail.",
			"id" => $shortname."_feedburner_id",
			"std" => "",
			"type" => "text",
			"style" => "width: 200px;",
			"row_style" => "background-color: #ffd7ad;"),
	
	//CODE INSERTS		
   	array(	"name" => "Вставьте свой код здесь",
   			"type" => "subhead"),

  	array ( "name" => "Код в шапке",
  			"desc" => "Если у вас есть какие-либо скрипты, которые необходимо вызвать в начале страницы, вставьте код здесь.",
  			"id" => $shortname."_header_code",
  			"std" => "",
  			"type" => "textarea",
  			"options" => array(	"rows" => "10",
								"cols" => "95")),

 	 array ( "name" => "Код в подвалеe",
 	 		"desc" => "Если вам необходимо вставить какой-либо код в подвале страницы, вставьте его здесь.",
 	 		"id" => $shortname."_footer_code",
 	 		"std" => "",
 	 		"type" => "textarea",
 	 		"options" => array(	"rows" => "10",
								"cols" => "95")),
								
	array ( "name" => "Код после статьи",
			"desc" => "Если вы хотите вставить какой-либо рекламный код после статей, используйте это поле.",
			"id" => $shortname."_afterpost_code",
			"std" => "",
			"type" => "textarea",
			"options" => array(	"rows" => "10",
								"cols" => "95")),

//AD OPTIONS ********

	array(	"name" => "Настройки рекламы",
			"type" => "subhead"),

	array(	"name" => "Показывать рекламу",
			"id" => $shortname."_show_ads",
			"std" => "",
			"type" => "select",
			"desc" => "Включите или отключите все рекламные блоки.",
			"options" => array("Yes", "No")),
			
	array(   "name" => "Адрес картинки баннера №1",
            "id" => $shortname."_ad_image_one",
            "std" => "",
			"style" => "width: 500px",
			"desc" => "Путь к изображению.",
            "type" => "text"),
    array(   "name" => "Куда ведет баннер №1",
            "id" => $shortname."_ad_url_one",
			"style" => "width: 500px",
			"desc" => "Рекламная ссылка.",
            "type" => "text",
            "std" => ""),

	array(   "name" => "Адрес картинки баннера №2",
            "id" => $shortname."_ad_image_two",
			"style" => "width: 500px",
			"desc" => "Путь к изображению.",
            "std" => "",
            "type" => "text"),
    array(   "name" => "Куда ведет баннер №2",
            "id" => $shortname."_ad_url_two",
			"style" => "width: 500px",
			"desc" => "Рекламная ссылка.",
            "type" => "text",
            "std" => ""),

	array(   "name" => "Адрес картинки баннера №3",
            "id" => $shortname."_ad_image_three",
			"style" => "width: 500px",
			"desc" => "Путь к изображению.",
            "std" => "",
            "type" => "text"),
    array(   "name" => "Куда ведет баннер №3",
            "id" => $shortname."_ad_url_three",
			"style" => "width: 500px",
			"desc" => "Рекламная ссылка.",
            "type" => "text",
            "std" => "")
);

function mytheme_add_admin() {

    global $themename, $shortname, $options;

    if ( $_GET['page'] == basename(__FILE__) ) {
    
        if ( 'save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }

                foreach ($options as $value) {
                    if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }

                header("Location: themes.php?page=cm_theme_options.php&saved=true");
                die;

        } else if( 'reset' == $_REQUEST['action'] ) {

            foreach ($options as $value) {
                delete_option( $value['id'] ); }

            header("Location: themes.php?page=cm_theme_options.php&reset=true");
            die;

        }
    }

    add_theme_page($themename." Настройки", "Настройки темы Checkmate", 'edit_themes', basename(__FILE__), 'mytheme_admin');

}

function mytheme_admin() {

    global $themename, $shortname, $options;

    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' настройки сохранены.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' настройки сброшены.</strong></p></div>';
    
?>
<div class="wrap">
<h2 class="updatehook">Настройки <?php echo $themename; ?></h2>

<table class="widefat" style="margin: 20px 0;">
	<thead style="background: #ccc; color: #333;">
		<tr>
			<th scope="col" style="width: 50%; font-size: 1.1em;">О теме Checkmate</th>
			<th scope="col" style="font-size: 1.1em;">Обновления</th>
		</tr>
	</thead>
	<tbody>
		<tr style="background: #dfdfdf;">
			<td>
			Создатель темы <a href="http://curtishenson.com">Curtis Henson</a> из <a href="http://gruntdesign.com">Grunt</a>.<br /><br />
			Пожалуйста, посетите <a href="http://curtishenson.tenderapp.com/">страницу поддержики Checkmate</a>, чтобы сообщить об ошибках и задать вопросы.</strong>
			</td>
			<td>
			Если вам понравилась эта тема, вы можете сделать пожертвование через PayPal.<br />
			<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
			<input type="hidden" name="cmd" value="_s-xclick">
			<input type="hidden" name="hosted_button_id" value="812595">
			<input type="image" src="https://www.paypal.com/en_US/i/btn/btn_donate_LG.gif" border="0" name="submit" alt="">
			<img alt="" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1">
			</form>
			
			</td>
		</tr>
	</tbody>
</table>

<form method="post">

<?php foreach ($options as $value) { 
	
	switch ( $value['type'] ) {
		case 'subhead':
		?>
			</table>
			
			<table class="widefat">
			
			<thead>
				<tr>
					<th scope="col" style="width:20%" class="column-title"><?php echo $value['name']; ?></th>
					<th scope="col"></th>
				</tr>
			</thead>
			
		<?php
		break;

		case 'text':
		?>
		<tr valign="top" style="<?php echo $value['row_style']; ?>"> 
		    <th scope="row"><?php echo $value['name']; ?>:</th>
		    <td>
		        <input style="<?php echo $value['style']; ?>" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
			    <?php echo $value['desc']; ?>
		    </td>
		</tr>
		<?php
		break;
		
		case 'select':
		?>
		<tr valign="top"> 
	        <th scope="row"><?php echo $value['name']; ?>:</th>
	        <td>
	            <select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
	                <?php foreach ($value['options'] as $option) { ?>
	                <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
	                <?php } ?>
	            </select>
				<?php echo $value['desc']; ?>
	        </td>
	    </tr>
		<?php
		break;
		
		case 'textarea':
		$ta_options = $value['options'];
		?>
		<tr valign="top"> 
	        <th scope="row"><?php echo $value['name']; ?>:</th>
	        <td>
			    <?php echo $value['desc']; ?>
				<textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" cols="<?php echo $ta_options['cols']; ?>" rows="<?php echo $ta_options['rows']; ?>"><?php 
				if( get_settings($value['id']) != "") {
						echo stripslashes(get_settings($value['id']));
					}else{
						echo $value['std'];
				}?></textarea>
	        </td>
	    </tr>
		<?php
		break;

		case "radio":
		?>
		<tr valign="top"> 
	        <th scope="row"><?php echo $value['name']; ?>:</th>
	        <td>
	            <?php foreach ($value['options'] as $key=>$option) { 
				$radio_setting = get_settings($value['id']);
				if($radio_setting != ''){
		    		if ($key == get_settings($value['id']) ) {
						$checked = "checked=\"checked\"";
						} else {
							$checked = "";
						}
				}else{
					if($key == $value['std']){
						$checked = "checked=\"checked\"";
					}else{
						$checked = "";
					}
				}?>
	            <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
	            <?php } ?>
	        </td>
	    </tr>
		<?php
		break;
		
		case "checkbox":
		?>
			<tr valign="top"> 
		        <th scope="row"><?php echo $value['name']; ?>:</th>
		        <td>
		           <?php
						if(get_settings($value['id'])){
							$checked = "checked=\"checked\"";
						}else{
							$checked = "";
						}
					?>
		            <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />

			    <?php echo $value['desc']; ?>
		        </td>
		    </tr>
			<?php
		break;
		
		case "cats_ids":
		?>
			<tr valign="top"> 
		        <th scope="row"><?php echo $value['name']; ?>:</th>
		        <td>
				<p style="float:left; width:40%;">	<?php
				$cats = get_categories('orderby=ID&hide_empty=0');
				echo '<strong>Category IDs and Names</strong><br />'; 
					foreach($cats as $category) { 
					    echo $category->cat_ID . ' = ' . $category->cat_name . '<br />'; 
					} 
					?>
				</p>
				<p style="float:left; width:40%">	<?php
				$pages = get_pages('orderby=ID&hide_empty=0');
				//print_r($pages);
				echo '<strong>Имена и ID страниц</strong><br />'; 
					foreach($pages as $page) { 
					    echo $page->ID . ' = ' . $page->post_name . '<br />'; 
					} 
					?>
				</p>
		        </td>
		    </tr>
			<?php
		break;

		default:

		break;
	}
}
?>

</table>

<p class="submit">
<input name="save" type="submit" value="Сохраниь изменения" />    
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Сбросить" />
<input type="hidden" name="action" value="reset" />
</p>
</form>

<?php
}

function mytheme_wp_head() { ?>
<link href="<?php bloginfo('template_directory'); ?>/style.php" rel="stylesheet" type="text/css" />
<?php }

// Not currently working with 2.7
function mytheme_admin_head(){ 
	global $theme_current_version;
	global $theme_url;
	global $themename;
	?>
	<script type="text/javascript">  
	 jQuery(document).ready(function() {  
	     jQuery.get('http://curtishenson.com/checkmateversion.txt', function(newversion){  
			if (<?php echo $theme_current_version; ?> < newversion) {
	         	jQuery('#wpbody-content .wrap h2').after('<div id="message" class="updated fade"><p><strong>Доступно обновление темы. Нажмите <a href="<?php echo $theme_url;?>">здесь</a>, чтобы узнать подробности.</strong></p></div>');
				jQuery('#rightnow .youare').after('<p class="themehas"><?php echo $themename; ?> обновилась, <a href="<?php echo $theme_url; ?>">поставить обновление прямо сейчас</a>.</p>');
			}  
	     });  
	 });  
	 </script>
<?php }
add_action('admin_head','mytheme_admin_head'); 
add_action('wp_head', 'mytheme_wp_head');
add_action('admin_menu', 'mytheme_add_admin');

?>