<?php get_header(); ?>

	
<div class="container archive">
		<h2>Вы искали: <strong><?php the_search_query(); ?></strong></h2>
		<div>
			<select name="archive-dropdown" onChange='document.location.href=this.options[this.selectedIndex].value;'> 
		  	<option value=""><?php echo attribute_escape(__('По месяцам')); ?></option> 
		  	<?php wp_get_archives('type=monthly&format=option&show_post_count=1'); ?></select>
			
			<select name="archive-dropdown" onChange='document.location.href=this.options[this.selectedIndex].value;'> 
		  	<option value=""><?php echo attribute_escape(__('По годам')); ?></option> 
		  	<?php wp_get_archives('type=yearly&format=option&show_post_count=1'); ?></select>
		
			<form action="<?php bloginfo('url'); ?>/" method="get">
				<?php
				$select = wp_dropdown_categories('show_option_none=По рубрикам&show_count=1&hierarchical=1&echo=0');
				$select = preg_replace("#<select([^>]*)>#", "<select$1 onchange='return this.form.submit()'>", $select);
				echo $select;
				?>
				<noscript><input type="submit" value="View" /></noscript>
				</form>
		</div>
		
		<?php cm_left_column() ?>
		
		<div class="blog span-14">
			
			<?php if(have_posts()) : while(have_posts()) : the_post(); ?>
				
				<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>

				<div class="meta">
					<ul>
						<li class="date"><?php the_time('d M Y') ?></li>
						<li class="comment"> | <a href="<?php comments_link(); ?>"><?php comments_number('Ваш отзыв','1 отзыв','Отзывов (%)'); ?></a></li>
					</ul>
				</div>

				<div <?php if (post_class()) post_class(); else echo 'class="post"'; ?>>
					<?php the_content('Читать полностью'); ?>
				</div>

				<?php endwhile; else : ?>

					<h2>Не найдено</h2>
					<p>К сожалению, по вашему запросу ничего не найдено.</p>
					<?php include (TEMPLATEPATH . "/searchform.php"); ?>

				<?php endif; ?>
				
				<div class="navigation clearfix">
					<span class="alignleft"><?php posts_nav_link('','','&laquo; Предыдущая страница') ?></span>
					<span class="alignright"><?php posts_nav_link('','Следующая страница &raquo;','') ?></span>
				</div>
		</div>

		<?php cm_sidebar(); ?>
	
</div><?php //closes container ?>

<?php get_footer(); ?>